module top (input clk, input rst, input [7:0] a, input b, output o);

reg r;

always @(posedge clk) begin
    if (rst)
        r = 1'b0;
    else begin
        r = b ^ |a;
    end
end

assign o = r;

endmodule